API referenceAnalytics
GET /analytics/posts/{id}
Insights of each published target of a post (stored for best-time analysis)
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
id*stringPostgale post id
metrics?stringComma-separated metric names instead of the defaults (IG feed: reach,likes,comments,shares,saved,total_interactions,views; FB: post_media_view,post_reactions_by_type_total,post_clicks; Threads: views,likes,replies,reposts,quotes,shares)
accountId?stringOnly this target
{postId, targets}
application/json- response
postId?stringtargets?array<>curl -X GET 'https://example.com/api/v1/analytics/posts/string'Example Response
{ "postId": "string", "targets": [ { "targetId": "string", "accountId": "string", "platform": "string", "platformPostId": "string", "publishedAt": "2019-08-24T14:15:22Z", "metrics": { "property1": 0, "property2": 0 }, "metricsAt": "2019-08-24T14:15:22Z", "unavailable": [ "string" ], "error": { "code": "string", "message": "string" } } ]}